.TH PROMETHEUS-ETHTOOL-EXPORTER "1" "October 2023" "prometheus-ethtool-exporter 0.5.2" "User Commands"
.SH NAME
\fBprometheus-ethtool-exporter \fP- Prometheus exporter for ethtool data
\fB
.SH SYNOPSIS
.nf
.fam C
\fBpromtheus-ethtool-exporter\fP [<flags>]

.fam T
.fi
.fam T
.fi
.SH DESCRIPTION
Prometheus-ethtool-exporter is a Prometheus exporter that utilizes the ethtool
to gather information from NICs and exposes them as either an http endpoint
which can be scraped by Prometheus or alternatively write the data to a file
for node-exporters textfile collector.
.SH OPTIONS
.TP
.B
\fB-h\fP, \fB--help\fP
show this help message and exit
.TP
.B
\fB-f\fP, \fB--textfile-name\fP TEXTFILE_NAME
Full file path where to store data for node collector to pick up
.TP
.B
\fB-l\fP, \fB--listen\fP LISTEN
OBSOLETE. Use \fB-L\fP/\fB-p\fP instead. Listen host:port, i.e. 0.0.0.0:9417
.TP
.B
\fB-p\fP, \fB--port\fP PORT
Port to listen on, i.e. 9417
.TP
.B
\fB-L\fP, \fB--listen-address\fP LISTEN_ADDRESS
IP address to listen on
.TP
.B
\fB-i\fP, \fB--interval\fP INTERVAL
Number of seconds between updates of the textfile. Default is 5 seconds
.PP
\fB-I\fP, \fB--interface-regex\fP INTERFACE_REGEX Only scrape interfaces whose name matches this regex
.TP
.B
\fB-1\fP, \fB--oneshot\fP
Run only once and exit. Useful for running in a cronjob
.TP
.B
\fB-s\fP, \fB--skip-no-link\fP
Skip collecting traffic and package information for network interfaces with no link
.TP
.B
\fB--debug\fP
Set logging level to DEBUG and see more.
.TP
.B
\fB-q\fP, \fB--quiet\fP
Silence any error messages and warnings
.PP
\fB-w\fP, \fB--whitelist-regex\fP WHITELIST_REGEX Only include values whose name matches this regex. \fB-w\fP and \fB-b\fP are mutually exclusive
.PP
\fB-b\fP, \fB--blacklist-regex\fP BLACKLIST_REGEX Exclude values whose name matches this regex. \fB-w\fP and \fB-b\fP are mutually exclusive
.SH SEE ALSO
prometheus-node-exporter (1), ethtool (1)
